Subject: Re: [PATCH] POWER: perf_event: Skip updating kernel counters if register value shrinks

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 30 Mar 2011 08:12:45 +1100

On Tue, 2011-03-29 at 10:25 -0400, Eric B Munson wrote:
> Here I made the assumption that the hardware would never remove more events in
> a speculative roll back than it had added.  This is not a situation I
> encoutered in my limited testing, so I didn't think underflow was possible.  I
> will send out a V2 using the signed 32 bit delta and remeber to CC stable
> this time. 

I'm not thinking about underflow but rollover... or that isn't possible
with those counters ? IE. They don't wrap back to 0 after hitting
ffffffff ?

Cheers,
Ben.